# Uses of Interface
org.xnio.channels.ConnectedChannel

Packages that use ConnectedChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio._private
org.xnio.channels
The core XNIO channel API.
org.xnio.ssl
Utility classes for using and implementing SSL within XNIO providers.

## Uses of ConnectedChannel in org.xnio

Classes in org.xnio that implement ConnectedChannel
Modifier and Type
Class
Description
`class`
`Connection`
The base for all connections.
`class`
`MessageConnection`
A message-oriented connection between peers.
`class`
`StreamConnection`
A connection between peers.
Methods in org.xnio with type parameters of type ConnectedChannel
Modifier and Type
Method
Description
`static <C extends ConnectedChannel>
ChannelListener<AcceptingChannel<C>>`
ChannelListeners.`openListenerAdapter(ChannelListener<? super C> openListener)`
Create an open listener adapter which automatically accepts connections and invokes an open listener.

## Uses of ConnectedChannel in org.xnio._private

Method parameters in org.xnio._private with type arguments of type ConnectedChannel
Modifier and Type
Method
Description
`final void`
Messages_$logger.`acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)`
`void`
Messages.`acceptFailed(AcceptingChannel<? extends ConnectedChannel> channel, IOException reason)`

## Uses of ConnectedChannel in org.xnio.channels

Classes in org.xnio.channels with type parameters of type ConnectedChannel
Modifier and Type
Interface
Description
`interface`
`AcceptingChannel<C extends ConnectedChannel>`
A channel which can accept inbound connections from remote endpoints.
Subinterfaces of ConnectedChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedMessageChannel`
A channel that sends and receives messages to a connected peer.
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
`interface`
`ConnectedStreamChannel`
A stream channel that is a connection between a local and remote endpoint.
`interface`
`SslChannel`
A channel which can use SSL/TLS to negotiate a security layer.
Classes in org.xnio.channels that implement ConnectedChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedChannel`
A closeable, connected view over a read and write side of a suspendable channel, at least one of which is connected.
`class`
`AssembledConnectedMessageChannel`
A connected bidirectional message channel assembled from a readable and writable message channel.
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
`class`
`AssembledSslChannel`
An assembled SSL channel.
`class`
`FramedMessageChannel`
Deprecated.
This class is deprecated; use conduits instead.
Methods in org.xnio.channels with type parameters of type ConnectedChannel
Modifier and Type
Method
Description
`static <C extends ConnectedChannel, A extends AcceptingChannel<C>>
C`
Channels.`acceptBlocking(A channel)`
Simple utility method to execute a blocking accept on an accepting channel.
`static <C extends ConnectedChannel, A extends AcceptingChannel<C>>
C`
Channels.`acceptBlocking(A channel, long time, TimeUnit unit)`
Simple utility method to execute a blocking accept on an accepting channel, with a timeout.
Methods in org.xnio.channels that return types with arguments of type ConnectedChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends ConnectedChannel>`
ConnectedChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
Constructors in org.xnio.channels with parameters of type ConnectedChannel
Modifier
Constructor
Description
``
`AssembledConnectedMessageChannel(ConnectedChannel connection, ReadableMessageChannel readable, WritableMessageChannel writable)`
Construct a new instance.
``
`AssembledConnectedStreamChannel(ConnectedChannel connection, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.

## Uses of ConnectedChannel in org.xnio.ssl

Classes in org.xnio.ssl that implement ConnectedChannel
Modifier and Type
Class
Description
`final class`
`JsseSslConnection`
`final class`
`JsseSslStreamConnection`
StreamConnection with SSL support.
`class`
`SslConnection`
A stream connection which can use SSL/TLS to negotiate a security layer.